%define upstream_name    HTTP-DAV
%define upstream_version 0.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A WebDAV client library for Perl5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP) >= 5.480.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Time::Local)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::DOM)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
PerlDAV is a Perl library for modifying content on webservers using the WebDAV
protocol. Now you can LOCK, DELETE and PUT files and much more on a DAV-enabled
webserver.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

# requires a "test server"...
#make test TEST_VERBOSE=1

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO
%{_bindir}/dave
%{_mandir}/*/*
%{perl_vendorlib}/HTTP

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.470.0-2.mga3
+ Revision: 368261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.470.0-1.mga3
+ Revision: 254999
- update to 0.47

* Wed Jan 25 2012 jquelin <jquelin> 0.460.0-1.mga2
+ Revision: 200889
- update to 0.46

* Mon Sep 26 2011 jquelin <jquelin> 0.450.0-1.mga2
+ Revision: 148098
- update to 0.45

* Tue Jun 21 2011 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 111424
- update to 0.44

* Tue Apr 12 2011 jquelin <jquelin> 0.430.0-1.mga1
+ Revision: 83770
- update to 0.43

* Wed Feb 16 2011 jquelin <jquelin> 0.420.0-1.mga1
+ Revision: 52501
- update to 0.42

* Sat Jan 22 2011 jquelin <jquelin> 0.410.0-1.mga1
+ Revision: 32076
- mageia rebuild
- imported package perl-HTTP-DAV

